<?php
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrIdPro=V($_POST['TxtIdPro']);
	$StrPro=V($_POST['TxtPro']);
	$StrMon=V($_POST['CboMon']);
	$StrTot=V($_POST['TxtTot']);
	$StrFdp=V($_POST['CboFdp']);
	$StrNdp=V($_POST['TxtNdp']);
	$StrFecVen=V($_POST['TxtFecVen']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrFecPag=V($_POST['TxtFecPag']);	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");
	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vpagos","ID=$Id");		
		$StrPro=gs("PROV","vpagos","ID=$Id");				
		$StrMon=gs("MON","vpagos","ID=$Id");		
		if($StrMon=="S")$StrMon="SOLES";	
		if($StrMon=="D")$StrMon="DOLARES";	
		$StrTot=gn("TOT","vpagos","ID=$Id");		
		$StrFdp=gs("FPAGO","vpagos","ID=$Id");		
		$StrNdp=gs("NUMF","vpagos","ID=$Id");		
		$StrFecVen=gs("DATE_FORMAT(FECVEN,'%d-%m-%y')","vpagos","ID=$Id");	
		if($StrFecVen=="01-01-00") $StrFecVen="";	
		$StrCom=gs("COM","vpagos","ID=$Id");		
		$StrSer=gs("SERR","vpagos","ID=$Id");		
		$StrNum=gs("NUMR","vpagos","ID=$Id");	
		$StrAlm=gs("ALM","vpagos","ID=$Id");	
		$StrFecPag=gs("DATE_FORMAT(FECPAG,'%d-%m-%y')","vpagos","ID=$Id");	
		if($StrFecPag=="01-01-00") $StrFecPag="";	

		$LStrFoc="document.getElementById('TxtFec').focus();";		
	}	
	if($StrCmd=="DESHACER"){
		$StrFecPag_=ToDate("");
		ejt("UPDATE pagos SET gi2=0,PAG='N',fecpag='$StrFecPag_' WHERE id_pago=$StrId");
		$LStrMsg="Proceso completado";
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$StrId="";
		$StrFec="";
		$StrPro="";
		$StrIdPro="";
		$StrMon="";
		$StrTot="";
		$StrFdp="";
		$StrNdp="";
		$StrFecVen="";
		$StrCom="";
		$StrSer="";
		$StrNum="";
		$StrFecPag="";
		$StrGT="S";
	}
	if($StrCmd=="Pagar"){
		$GI=GenGI();
		$StrFecPag_=ToDate($StrFecPag);
		$_TC=GetTC();
		$s="UPDATE pagos 
			SET tcam=$_TC,gi2=$GI,PAG='S',fecpag='$StrFecPag_' WHERE id_pago=$StrId";		
		ejt($s);
		$LStrMsg="El pago ha sido registrado";
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$StrId="";
		$StrFec="";
		$StrPro="";
		$StrIdPro="";
		$StrMon="";
		$StrTot="";
		$StrFdp="";
		$StrNdp="";
		$StrFecVen="";
		$StrCom="";
		$StrSer="";
		$StrNum="";
		$StrFecPag="";
		$StrGT="S";
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrAlm_=gs("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrMon_=substr($StrMon,0,1);
		$StrFdp_=gn("id_fpago","fpagos","nombre='$StrFdp'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrFec_=ToDate($StrFec);
		$StrFecVen_=ToDate($StrFecVen);
		$StrPag="N";
		$StrFecPag=ToDate("");
		if($StrFdp=="EFECTIVO")	{
			$StrPag="S";
			$StrFecPag=$StrFec_;
		}
	}
	//
	if($StrCmd=="G" && "TODO_OK"=="TODO_OK" && strlen($StrGT)==0){			
			$StrPendiente=0;
			if($StrMon_=="S"){
				$TOT=gn("SUM(total)","compras","id_proveedor=$StrIdPro AND 
				  		  anulado='N' AND id_tip_pag='CR' AND moneda='S'");
				$PAE=gn("SUM(total)","pagos",
						  "id_proveedor=$StrIdPro AND anu='N' AND mon='S'");
				$StrPendiente=round($TOT - $PAE,2);
			}else{
				$TOT=gn("SUM(total)","compras","id_proveedor=$StrIdPro AND 
				  		  anulado='N' AND id_tip_pag='CR' AND moneda='D'");
				$PAE=gn("SUM(total)","pagos",
						  "id_proveedor=$StrIdPro AND anu='N' AND mon='D'");
				$StrPendiente=round($TOT - $PAE,2);
			}
			$GI=GenGI();
			$Id=GenId("id_pago","pagos");
			if(strlen($Id)==4)$Id="0".$Id;
			if(strlen($Id)==3)$Id="00".$Id;
			if(strlen($Id)==2)$Id="000".$Id;
			if(strlen($Id)==1)$Id="0000".$Id;
			$_TC=GetTC();
			$s="INSERT INTO pagos VALUES ($Id,'$Id','$StrFec_',$StrIdPro,
				$StrPendiente,$StrTot,'$StrMon_','N',$GI,$StrFdp_,'$StrNdp',
				'$StrFecVen_',$StrCom_,'$StrSer','$StrNum','$StrPag',
				'$StrFecPag',0,$StrAlm_,$_TC)";
			ejt($s);
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtFec').focus();";
			$StrId="";
			$StrFec="";
			$StrPro="";
			$StrIdPro="";
			$StrMon="";
			$StrTot="";
			$StrFdp="";
			$StrNdp="";
			$StrFecVen="";
			$StrCom="";
			$StrSer="";
			$StrNum="";
			$StrFecPag="";
			$StrGT="S";
	}
	if($StrCmd=="C"){
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$StrId="";
		$StrFec=date("d-m-y");
		$StrPro="";
		$StrIdPro="";
		$StrMon="";
		$StrTot="";
		$StrFdp="";
		$StrNdp="";
		$StrFecVen="";
		$StrCom="";
		$StrSer="";
		$StrNum="";
		$StrFecPag="";
		$StrGT="S";
	}

	if($StrCmd=="E"){
		ejt("DELETE FROM pagos WHERE id_pago=$StrId");
		$StrId="";
		$StrFec="";
		$StrPro="";
		$StrIdPro="";
		$StrMon="";
		$StrTot="";
		$StrFdp="";
		$StrNdp="";
		$StrFecVen="";
		$StrCom="";
		$StrSer="";
		$StrNum="";
		$StrFecPag="";
		$StrGT="S";
	}
	//////////////////////////////////	
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('CboAlm').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}	
?>